=== debian/control ===
Source: kodi-pvr-mediaportal-tvserver
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9.0.0), cmake, libtinyxml-dev,
               libkodiplatform-dev (>= 16.0.0), kodi-addons-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/kodi-pvr/pvr.mediaportal-tvserver.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-mediaportal-tvserver.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-mediaportal-tvserver.git


Package: kodi-pvr-mediaportal-tvserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: MediaPortal's TV-Server PVR addon for Kodi
 This package contains the MediaPortal's TV-Server PVR (Personal Video
 Recorder) Addon for Kodi, the award winning free and open source
 software media-player and entertainment hub for all your digital media.
 .
 TV-Server is the component of MediaPortal that manages the user's
 TV cards and streams the TV signal over the network.
