=== debian/changelog ===
kodi-pvr-mediaportal-tvserver (1.13.2+git20160301-1) unstable; urgency=medium

  * Imported Upstream version 1.13.2+git20160301
  * Bump standards version to 3.9.7
  * Switch to p8-platform from (cec-)platform
  * Drop patch integrated upstream

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 02 Mar 2016 21:54:21 +0100
