=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Balint Reczey <balint@balintreczey.hu>
 Build-Depends: debhelper (>= 9.0.0), cmake, libtinyxml-dev,
-               libkodiplatform-dev (>= 16.0.0), kodi-addons-dev
-Standards-Version: 3.9.6
+               libkodiplatform-dev (>= 17.0.0), kodi-addons-dev
+Standards-Version: 3.9.7
 Section: libs
 Homepage: https://github.com/kodi-pvr/pvr.mediaportal-tvserver.git
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-mediaportal-tvserver.git
