=== debian/changelog ===
kodi-pvr-mediaportal-tvserver (2.4.14+dfsg1-1build2) bionic; urgency=medium

  * No-change rebuild against liblivemedia61.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sat, 27 Jan 2018 21:19:36 +0100

kodi-pvr-mediaportal-tvserver (2.4.14+dfsg1-1build1) artful; urgency=medium

  * No-change rebuild against latest liblivemedia

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 13 Jul 2017 21:08:15 -0400

kodi-pvr-mediaportal-tvserver (2.4.14+dfsg1-1) unstable; urgency=medium

  * Fix Homepage URL
  * Imported Upstream version 2.4.14+dfsg1

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 25 Jan 2017 13:12:10 +0100

kodi-pvr-mediaportal-tvserver (2.4.10+dfsg1-1) unstable; urgency=medium

  * Update d/control using cme fix
  * Depend on PVR API version of Kodi we built the addon with
  * Omit debian/ dir from upstream tarball
  * Add watch file
  * Imported Upstream version 2.4.10+dfsg1

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 24 Dec 2016 03:24:52 +0100

kodi-pvr-mediaportal-tvserver (2.4.6+git20160926-1) unstable; urgency=medium

  * Imported Upstream version 2.4.6+git20160926
  * Build-depend on latest libkodiplatform-dev and kodi-addons-dev
  * Build-depend on kodi-addons-dev version which has all the needed headers
  * Drop obsoleted patches
  * Drop hack to build with p8-platform
  * Use system's Live555 libraries

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 04 Nov 2016 17:00:09 +0100
