=== debian/control ===
Source: kodi-pvr-mediaportal-tvserver
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9.0.0),
               cmake,
               libtinyxml-dev,
               liblivemedia-dev,
               pkg-config,
               libkodiplatform-dev (>= 17.1.0),
               kodi-addons-dev (>= 17.0~beta6~)
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kodi-pvr-mediaportal-tvserver.git
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi-pvr-mediaportal-tvserver.git
Homepage: https://github.com/kodi-pvr/pvr.mediaportal.tvserver.git

Package: kodi-pvr-mediaportal-tvserver
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: MediaPortal's TV-Server PVR addon for Kodi
 This package contains the MediaPortal's TV-Server PVR (Personal Video
 Recorder) Addon for Kodi, the award winning free and open source
 software media-player and entertainment hub for all your digital media.
 .
 TV-Server is the component of MediaPortal that manages the user's
 TV cards and streams the TV signal over the network.
