=== debian/watch ===
version=4
opts="repacksuffix=+dfsg1,uversionmangle=s/_/./g,dversionmangle=s/.dfsg[0-9]*//" \
   https://github.com/kodi-pvr/pvr.mediaportal.tvserver/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
