=== debian/changelog ===
kodi-pvr-mediaportal-tvserver (3.5.18-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Balint Reczey ]
  * Add basic Salsa CI configuration
  * Don't repack original source
  * New upstream version 3.5.18
  * Refresh patches
  * Readd patch to use system's Live555 libraries
  * Bump libkodiplatform-dev and kodi-addons-dev build-dependency versions

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 21 Mar 2020 16:38:26 +0100
