=== debian/control ===
Source: kodi-pvr-mediaportal-tvserver
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9.0.0),
               cmake,
               kodi-addons-dev (>= 2:18~),
               libkodiplatform-dev (>= 20150826),
               liblivemedia-dev,
               libtinyxml-dev,
               pkg-config
Standards-Version: 3.9.7
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-pvr-mediaportal-tvserver
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-pvr-mediaportal-tvserver.git
Homepage: https://github.com/kodi-pvr/pvr.mediaportal.tvserver.git

Package: kodi-pvr-mediaportal-tvserver
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: MediaPortal's TV-Server PVR addon for Kodi
 This package contains the MediaPortal's TV-Server PVR (Personal Video
 Recorder) Addon for Kodi, the award winning free and open source
 software media-player and entertainment hub for all your digital media.
 .
 TV-Server is the component of MediaPortal that manages the user's
 TV cards and streams the TV signal over the network.
