## kodi-pvr-mediaportal-tvserver 8.1.0+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,9 @@
+cmake_minimum_required(VERSION 3.5)
 project(pvr.mediaportal.tvserver)
 
-cmake_minimum_required(VERSION 2.6)
-
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})
 
-enable_language(CXX)
-
 find_package(Kodi REQUIRED)
-find_package(kodiplatform REQUIRED)
 find_package(p8-platform REQUIRED)
 find_package(TinyXML REQUIRED)
 
@@ -21,10 +17,9 @@
 
 set(LIVE555_DEFINES -DLIVE555 -D_WINSOCK_DEPRECATED_NO_WARNINGS -DSOCKLEN_T=socklen_t -DBSD=1)
 
-include_directories(${kodiplatform_INCLUDE_DIRS}
-                    ${p8-platform_INCLUDE_DIRS}
+include_directories(${p8-platform_INCLUDE_DIRS}
                     ${TINYXML_INCLUDE_DIR}
-                    ${KODI_INCLUDE_DIR}
+                    ${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                     ${PROJECT_SOURCE_DIR}/src
                     ${PROJECT_BINARY_DIR}
                     ${LIVE555_INCLUDE_DIR}
@@ -37,15 +32,16 @@
 endif()
 
 # Source files
-set(MPTV_SOURCES src/Cards.cpp
+set(MPTV_SOURCES src/addon.cpp
+                 src/Cards.cpp
                  src/channels.cpp
-                 src/client.cpp
                  src/DateTime.cpp
                  src/epg.cpp
                  src/GenreTable.cpp
                  src/GUIDialogRecordSettings.cpp
                  src/pvrclient-mediaportal.cpp
                  src/recordings.cpp
+                 src/settings.cpp
                  src/Socket.cpp
                  src/timers.cpp
                  src/uri.cpp
@@ -59,9 +55,9 @@
 endif(WIN32)
 
 # Header files
-set(MPTV_HEADERS src/Cards.h
+set(MPTV_HEADERS src/addon.h
+                 src/Cards.h
                  src/channels.h
-                 src/client.h
                  src/DateTime.h
                  src/epg.h
                  src/GenreTable.h
@@ -69,6 +65,7 @@
                  src/os-dependent.h
                  src/pvrclient-mediaportal.h
                  src/recordings.h
+                 src/settings.h
                  src/Socket.h
                  src/timers.h
                  src/uri.h
