## kodi-pvr-mediaportal-tvserver 8.1.2+ds1

=== debian/changelog ===
kodi-pvr-mediaportal-tvserver (8.1.2+ds1-1) unstable; urgency=medium

  * New upstream version 8.1.2+ds1
  * Fix github release links in watchfile
  * Drop merged patch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 16 May 2021 20:42:12 +0000
