=== debian/control ===
Source: kodi-pvr-mediaportal-tvserver
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
 cmake,
 kodi-addons-dev (>= 2:19~),
# See upstream issue #123
# liblivemedia-dev,
 libtinyxml-dev,
 pkg-config
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mediaportal-tvserver
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mediaportal-tvserver.git
Homepage: https://github.com/kodi-pvr/pvr.mediaportal.tvserver.git

Package: kodi-pvr-mediaportal-tvserver
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${kodi:PVRAPI}
Description: MediaPortal's TV-Server PVR addon for Kodi
 This package contains the MediaPortal's TV-Server PVR (Personal Video
 Recorder) Addon for Kodi, the award winning free and open source
 software media-player and entertainment hub for all your digital media.
 .
 TV-Server is the component of MediaPortal that manages the user's
 TV cards and streams the TV signal over the network.
