=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # liblivemedia-dev,
  libtinyxml-dev,
  pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mediaportal-tvserver
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mediaportal-tvserver.git
