## kodi-pvr-mediaportal-tvserver 21.0.4+ds

=== debian/changelog ===
kodi-pvr-mediaportal-tvserver (21.0.4+ds-1) unstable; urgency=high

  * New upstream version 21.0.4+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 04 Nov 2024 17:22:37 +0000
