## kodi-pvr-mediaportal-tvserver 21.0.5+ds

=== debian/changelog ===
kodi-pvr-mediaportal-tvserver (21.0.5+ds-1) unstable; urgency=high

  * New upstream version 21.0.5+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:45:59 +0000
