=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: kodi-pvr-mediaportal-tvserver
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
  cmake,
 # See upstream issue #123
 # liblivemedia-dev,
  libtinyxml-dev,
  pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mediaportal-tvserver
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mediaportal-tvserver.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mediaportal-tvserver.git -b debian/sid
 Homepage: https://github.com/kodi-pvr/pvr.mediaportal.tvserver.git
 
 Package: kodi-pvr-mediaportal-tvserver
